## extra-cmake-modules 1.0.0

=== debian/changelog ===
extra-cmake-modules (1.0.0-1) unstable; urgency=medium

  * Prepare the debian version based on the kubuntu package.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Jul 2014 10:30:20 +0200

extra-cmake-modules (1.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

  [ Scarlett Clark ]
  * Update watch file to stable

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 08 Jul 2014 16:02:12 +0200
