=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]*)/extra-cmake-modules-([\d.]*)\.tar\.xz
