## extra-cmake-modules 1.3.0

=== debian/changelog ===
extra-cmake-modules (1.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release LP: #1378243
  * Do not build depend on qt5-default, we only need qtbase5-dev

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 30 Sep 2014 14:15:28 +0200

extra-cmake-modules (1.3.0~git20140917-0ubuntu1) utopic; urgency=medium

  * Git snapshot needed to allow qmldir to follow qt_sys_path.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 04:01:18 -0700

extra-cmake-modules (1.2.1-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release
  * Build-dep on pkg-kde-tools >= 0.15.15ubuntu1
  * Remove kde-install-dirs.diff better detection upstream by Rohan

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2014 21:17:06 +0000

extra-cmake-modules (1.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Sun, 03 Aug 2014 18:35:54 -0700

extra-cmake-modules (1.0.0-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit d5582bb3b1d3132dab8f8486729f62c8b8530da3 to use
    a multiarch library directory on kFreeBSD and Hurd too; patch
    upstream_Check-the-libdir-also-on-kFreeBSD-and-Hurd.patch.

 -- Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 19 Jul 2014 16:49:46 +0200
