=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: extra-cmake-modules
 Section: libs
 Priority: optional
-Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Jonathan Riddell <jriddell@ubuntu.com>,
-           Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                pkg-kde-tools,
-               qt5-default,
                qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.5
