## extra-cmake-modules 5.9.0

=== debian/changelog ===
extra-cmake-modules (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:16:28 +0200

extra-cmake-modules (1.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 14:06:33 +0100

extra-cmake-modules (1.7.0-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_qtwaylandscanner_binary.diff to find qtwaylandscanner

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Feb 2015 14:42:55 +0100

extra-cmake-modules (1.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 09 Feb 2015 10:26:13 +0100

extra-cmake-modules (1.6.1-1) experimental; urgency=medium

  * New upstream release (1.6.1).
  * Bump Standards-Version to 3.9.6, no changes needed
  * Change debian/* license to an upstream compatible license.
  * Update copyright information.
  * Bump pkg-kde-tools build-dep to use the experimental version.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Jan 2015 15:11:18 +0100

extra-cmake-modules (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jan 2015 12:48:26 +0100

extra-cmake-modules (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Dec 2014 09:37:07 +0100

extra-cmake-modules (1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix changelog.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 04 Nov 2014 19:49:09 +0000
