=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               pkg-kde-tools,
+               pkg-kde-tools (>= 0.15.16~),
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/extra-cmake-modules.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/extra-cmake-modules.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/extra-cmake-modules.git
 
 Package: extra-cmake-modules
