## extra-cmake-modules 5.15.0

=== debian/changelog ===
extra-cmake-modules (5.15.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * cherry-pick debian/rules change from Debian to not run tests, unknown
    failure in powerpc

  [ Scarlett Clark ]
  * Vivid backport.

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:41:39 +0100

extra-cmake-modules (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:08:43 +0100

extra-cmake-modules (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:46:25 +0200

extra-cmake-modules (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:22:44 +0200

extra-cmake-modules (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Jun 2015 21:42:38 +0200

extra-cmake-modules (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 08 Jul 2015 08:00:56 -0700

extra-cmake-modules (5.10.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:31:55 +0200

extra-cmake-modules (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:06 +0200

extra-cmake-modules (1.8.0-1) experimental; urgency=medium

  * New upstream release (1.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 12:06:02 +0100

extra-cmake-modules (1.7.0-1) experimental; urgency=medium

  * New upstream release (1.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Feb 2015 14:38:24 +0100
