## extra-cmake-modules 5.26.0

=== debian/changelog ===
extra-cmake-modules (5.26.0-0ubuntu2) yakkety; urgency=medium

  * Import force_relative_paths.diff from Debian to fix autopkgtests.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 04 Oct 2016 18:43:32 +0100

extra-cmake-modules (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:40:12 +0100

extra-cmake-modules (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:36:30 +0000

extra-cmake-modules (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:06:45 +0200

extra-cmake-modules (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Bump to latest. 
  * Add missing dep for qt help. 
  * Seems BUILD_QTHELP_DOCS is OFF by default, Turning ON
    in rules, with CONFIGURE_FLAGS. This will hopefully silence
    the missing deps check in CI. 
  * Fix the CONFIGURE_FLAGS to instead use the proper
    DEB_CMAKE_CUSTOM_FLAGS configure override. 
  * Fix the switch to cmake proper. 
  * Merge to backport. 
  * Use qtchooser to fix an issue presented with enabling qthelp
    qcollectiongenerator: could not find a Qt installation of '' 
  * QThelp wants sqlite. 
  * Try libqt5sql5-sqlite for the above problem. 
  * xenial backport. 
  * Manual merger. 
  * Merge in xenial backport. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:07:11 -0700
