=== debian/control ===
--- 
+++ 
@@ -8,14 +8,17 @@
                debhelper (>= 9),
                libjs-jquery,
                libjs-underscore,
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.16~),
                python3-sphinx,
+               qtbase5-dev (>= 5.4),
+               qtchooser,
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kdesupport/extra-cmake-modules
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/extra-cmake-modules.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
