=== debian/changelog ===
extra-cmake-modules (5.28.0-1) unstable; urgency=medium

  * New upstream release (5.28.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 15:56:00 +0100

extra-cmake-modules (5.27.0-1) unstable; urgency=medium

  * New upstream release (5.27.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:45:31 +0200

extra-cmake-modules (5.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:53:06 +0200

extra-cmake-modules (5.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 10:19:18 +0200

extra-cmake-modules (5.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jul 2016 05:23:27 +0200

extra-cmake-modules (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jun 2016 16:25:43 +0200

extra-cmake-modules (5.22.0-1) unstable; urgency=medium

  * Add new patch: force_relative_paths.diff

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 May 2016 10:53:42 +0200

extra-cmake-modules (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * UNRELEASED

 -- Maximiliano Curia <maxy@debian.org>  Sat, 30 Apr 2016 15:31:50 +0200

extra-cmake-modules (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:22 +0100

extra-cmake-modules (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:16 +0100
