## extra-cmake-modules 5.37.0

=== debian/changelog ===
extra-cmake-modules (5.37.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert group breaks to Stretch versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Feb 2018 18:33:51 -0800

extra-cmake-modules (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:27 +0200

extra-cmake-modules (5.37.0-1) experimental; urgency=medium

  * New revision
  * New upstream release (5.37.0).
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:41:43 +0200

extra-cmake-modules (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Add python3-sphinx build dependency
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:40:51 +0200
